"""
url和视图函数的映射
url传递参数问题

url两种方式传参
第一种：/路径/参数 （将参数切入到路径中）
第二种：/路径？参数名1=参数值1&参数名2=参数值2....
"""
from flask import Flask,request,render_template

app = Flask(__name__)


@app.route('/')
def hello_world():
    return 'Hello World!'

@app.route('/article/<id>/')
#没有指定参数类型
def list1(id):
    print(id)
    return '您请求的文章id为：%s'%id
    #思路
    #获取id号
    #拿id号去操作数据库，得到数据库返回来的数据
    #把数据按照一定的格式返回给客户端浏览器

@app.route('/article2/<int:id>/')
#指定了参数类型 int 如果传参不是int报错
def list2(id):
    print(id)
    return '您请求的文章id为：%s'%id

@app.route('/article3/<path:id>/')
#指定参数类型 为path 可以识别id号里的/字符
def list3(id):
    print(id)
    return '您请求的文章id为：%s'%id

# @app.route('/list7/') 但是这种支支持get请求
@app.route("/list7/",methods=["GET","POST"]) #这种装饰器 get跟post两种都可以
def list7():
    if request.method=="GET":
        uname = request.args.get("uname")
        pwd = request.args.get("pwd")
        return render_template("login.html")
        # return '接受到参数为：%s,%s' % (uname, pwd)

    elif request.method=="post":
        uname=request.form.get("uname")
        pwd=request.form.get("pwd")
    return "POST请求接受的参数为：%s,%s" %(uname,pwd)

if __name__ == '__main__':
    app.run()
